> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.nibtravelinsurance.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.nibtravelinsurance.com/_mcp/server.

# Options

GET https://api-staging.nibtravelinsurance.com/products/v1/{brandCode}/plans/{planId}/options

Returns the available Options for a plan

Reference: https://developer.nibtravelinsurance.com/reference/products-api/plan/options

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `brandCode` (enum, required) — Brand code
  - Allowed values: `nibau`, `nibnz`, `tidau`, `wn`
- `planId` (long, required, default: 0)

### Query parameters

- `lang` (string, optional)

## Response

### 200

Success

- `expirySeconds` (integer, optional)
- `planId` (long, optional, default: 0)
- `adventureActivitiesOption` (AdventureActivitiesOptionSummary, optional)
- `basicOptions` (list of BasicOptionSummary, optional)
- `specifiedItemsOption` (SpecifiedItemsOptionSummary, optional)
- `cancellationOption` (CancellationOptionSummary, optional)

## Types

### AdventureActivitiesOptionSummary

- `optionId` (long, optional, default: 0)
- `optionType` (string, optional)
- `name` (string, optional)
- `effectiveFromDate` (string, optional)
- `effectiveToDate` (string, optional)
- `displayOrder` (integer, optional)
- `adventureActivities` (list of AdventureActivitySummary, optional)
- `availableTranslations` (map from string to string, optional)

### BasicOptionSummary

- `optionId` (long, optional, default: 0)
- `optionType` (string, optional)
- `name` (string, optional)
- `effectiveFromDate` (string, optional)
- `effectiveToDate` (string, optional)
- `displayOrder` (integer, optional)
- `optOutValue` (BasicOptionValueSummary, optional)
- `optInValues` (list of BasicOptionValueSummary, optional)

### SpecifiedItemsOptionSummary

- `optionId` (long, optional, default: 0)
- `optionType` (string, optional)
- `name` (string, optional)
- `effectiveFromDate` (string, optional)
- `effectiveToDate` (string, optional)
- `displayOrder` (integer, optional)
- `maxSpecifiedItems` (integer, optional)
- `itemMaxValue` (double, optional)
- `totalMaxValuePerPolicy` (double, optional)
- `totalMaxValuePerPolicyHolder` (double, optional)
- `appliesToDependents` (boolean, optional, default: false)
- `specifiedItemTypes` (list of SpecifiedItemTypeSummary, optional)
- `availableTranslations` (map from string to string, optional)

### CancellationOptionSummary

- `optionId` (long, optional, default: 0)
- `optionType` (string, optional)
- `name` (string, optional)
- `effectiveFromDate` (string, optional)
- `effectiveToDate` (string, optional)
- `displayOrder` (integer, optional)
- `preCoverCancellationCoverLimitPerPolicyHolder` (double, optional)
- `preCoverCancellationCoverLimitPerPolicy` (double, optional)
- `maxTripValuePerTraveller` (double, optional)
- `cancellationCoverLimits` (list of CancellationCoverLimitSummary, optional)

### AdventureActivitySummary

- `adventureActivityId` (long, optional, default: 0)
- `name` (string, optional)
- `riskLevel` (integer, optional)
- `hasCover` (boolean, optional, default: false)

### BasicOptionValueSummary

- `totalValue` (double, optional)
- `offsetValue` (double, optional)

### SpecifiedItemTypeSummary

- `specifiedItemTypeId` (long, optional, default: 0)
- `specifiedItemTypeCode` (string, optional)
- `name` (string, optional)
- `itemMaxValue` (double, optional)
- `infoText` (string, optional)

### CancellationCoverLimitSummary

- `cancellationCoverLimit` (double, optional)
- `name` (string, optional)
- `isCancellationCoverUnlimited` (boolean, optional, default: false)

## Examples

**Response**

```json
{
  "expirySeconds": 86400,
  "planId": 280,
  "adventureActivitiesOption": {
    "optionId": 113,
    "optionType": "ADVENTUREACTIVITY",
    "name": "Adventure Activities",
    "effectiveFromDate": "1970-01-01T00:00:00Z",
    "effectiveToDate": "1970-01-01T00:00:00Z",
    "displayOrder": 20,
    "adventureActivities": [
      {
        "adventureActivityId": 14695,
        "name": "Abseiling",
        "riskLevel": 3,
        "hasCover": true
      },
      {
        "adventureActivityId": 14739,
        "name": "Acrobatics",
        "riskLevel": 1,
        "hasCover": true
      }
    ],
    "availableTranslations": {
      "key": "value"
    }
  },
  "basicOptions": [
    {
      "optionId": 1000000,
      "optionType": "optionType",
      "name": "name",
      "effectiveFromDate": "effectiveFromDate",
      "effectiveToDate": "effectiveToDate",
      "displayOrder": 1,
      "optInValues": [
        {}
      ]
    }
  ],
  "specifiedItemsOption": {
    "optionId": 114,
    "optionType": "SPECITEMS",
    "name": "High Value Items - Standard",
    "effectiveFromDate": "1970-01-01T00:00:00Z",
    "effectiveToDate": "1970-01-01T00:00:00Z",
    "displayOrder": 10,
    "maxSpecifiedItems": 20,
    "itemMaxValue": 1.1,
    "totalMaxValuePerPolicy": 12000,
    "totalMaxValuePerPolicyHolder": 6000,
    "appliesToDependents": false,
    "specifiedItemTypes": [
      {
        "specifiedItemTypeId": 142,
        "specifiedItemTypeCode": "Sports",
        "name": "Sports Gear",
        "itemMaxValue": 3000,
        "infoText": "You may specify a single item or related set of items (e.g skis + bindings = 1 item)\r\nNo cover for bicycles, bicycle accessories; any equipment over three years old; watercraft (unless it’s a surfboard); firearms; commercial items or business equipment.\r\nA $100 excess applies per event."
      },
      {
        "specifiedItemTypeId": 143,
        "specifiedItemTypeCode": "Tech",
        "name": "Tech & Cameras",
        "itemMaxValue": 3000,
        "infoText": "You may specify a single item or related set of items (e.g Camera + lenses + camera accessories = 1 item)\r\nNo cover for commercial items or business equipment.\r\nA $100 excess applies per event."
      },
      {
        "specifiedItemTypeId": 144,
        "specifiedItemTypeCode": "Personal",
        "name": "Personal Items",
        "itemMaxValue": 3000,
        "infoText": "You may specify a single item or related set of items (e.g pair of shoes = 1 item)\r\nNote: Jewellery cannot be specified.\r\nNo cover for glasses, sunglasses, contact lenses, musical instruments, dentures, hearing aids,  prostheses, antiques, loose precious stones, animals, perishables, commercial items or business equipment.\r\nA $100 excess applies per event."
      }
    ],
    "availableTranslations": {
      "key": "value"
    }
  },
  "cancellationOption": {
    "optionId": 1000000,
    "optionType": "optionType",
    "name": "name",
    "effectiveFromDate": "effectiveFromDate",
    "effectiveToDate": "effectiveToDate",
    "displayOrder": 1,
    "preCoverCancellationCoverLimitPerPolicyHolder": 1.1,
    "preCoverCancellationCoverLimitPerPolicy": 1.1,
    "maxTripValuePerTraveller": 1.1,
    "cancellationCoverLimits": [
      {}
    ]
  }
}
```

**SDK Code**

```python World Nomads - plan 280 (abbreviated)
import requests

url = "https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000/options"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript World Nomads - plan 280 (abbreviated)
const url = 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000/options';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go World Nomads - plan 280 (abbreviated)
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000/options"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby World Nomads - plan 280 (abbreviated)
require 'uri'
require 'net/http'

url = URI("https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000/options")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java World Nomads - plan 280 (abbreviated)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000/options")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php World Nomads - plan 280 (abbreviated)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000/options', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp World Nomads - plan 280 (abbreviated)
using RestSharp;

var client = new RestClient("https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000/options");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift World Nomads - plan 280 (abbreviated)
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000/options")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```